Subject: Re: linux-next: build failure after merge of the kunit-fixes tree

From: Shuah Khan <[email-masked]>
Date: Tue, 6 Aug 2024 16:29:34 -0600

On 8/6/24 13:20, Shuah Khan wrote:
> On 8/5/24 20:06, David Gow wrote:
>> On Tue, 6 Aug 2024 at 07:18, Stephen Rothwell <[email-masked]> wrote:
>>>
>>> Hi all,
>>>
>>> After merging the kunit-fixes tree, today's linux-next build (powerpc
>>> ppc64_defconfig) failed like this:
>>>
>>> ERROR: modpost: "__start_rodata" [lib/kunit/kunit.ko] undefined!
>>> ERROR: modpost: "__end_rodata" [lib/kunit/kunit.ko] undefined!
>>>
>>> Caused by commit
>>>
>>>    7d3c33b290b1 ("kunit: Device wrappers should also manage driver name")
>>>
>>
> 
> David,
> 
> Looks like the above patch below is still under review - I can drop
> 7d3c33b290b1 for now to avoid build failures. Thoughts?
> 

7d3c33b290b1 ("kunit: Device wrappers should also manage driver name")

I did drop this patch for now from linux-kselftest kunit-fixes branch.

I will pull the two patches together when the patch below is ready.

https://lore.kernel.org/linux-kselftest/[email-masked]/

thanks,
-- Shuah